Bug 505848 - Review Request: php-pecl-lzf - Extension to handle LZF de/compression
Review Request: php-pecl-lzf - Extension to handle LZF de/compression
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 06:18 EDT by Andrew Colin Kissa
Modified: 2009-08-03 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.5.2-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 03:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Colin Kissa 2009-06-14 06:18:42 EDT
Spec URL: http://www.topdog-software.com/oss/SRPMS/fedora/php-pecl-lzf/php-pecl-lzf.spec
SRPM URL: http://www.topdog-software.com/oss/SRPMS/fedora/php-pecl-lzf/php-pecl-lzf-1.5.2-1.fc11.src.rpm
Description: 
This extension provides LZF compression and decompression using the liblzf
library
LZF is a very fast compression algorithm, ideal for saving space with a 
slight speed cost.

This is my first package and I need a sponsor.
Comment 1 Mamoru TASAKA 2009-06-22 13:03:04 EDT
For 1.5.2-1

* Timestamps
  - When using "install" or "cp" command, add "-p" option
    to keep timestamps on installed files

! check
  - There is tests/ directory and some files are under there.
    Is it possible to add %check stage and execute some test
    program there?
Comment 2 Mamoru TASAKA 2009-06-22 13:36:49 EDT
(Removing needsponsor)
Comment 3 Andrew Colin Kissa 2009-06-22 13:55:48 EDT
Thanks for the review,

I have made the changes to the install, to allow timestamps to be retained.

The tests how ever are a bit tricky as the the test suite has issues, it does not set the module paths correctly which leads PHP to issue warning messages about being unable to load other modules configured by /etc/php.d/*.ini files.

Although the test results are correct, rpmbuild flags them as Failed due to the warning messages. As you can see the expected output is BFRoaXMgIAIUdGVzdCBvZiBMWkYgZXh0ZW5zaW9u and the actual output is the same BFRoaXMgIAIUdGVzdCBvZiBMWkYgZXh0ZW5zaW9u which however is negated by the warning messages issued by PHP

The output is below.

---- EXPECTED OUTPUT
BFRoaXMgIAIUdGVzdCBvZiBMWkYgZXh0ZW5zaW9u
---- ACTUAL OUTPUT
PHP Warning:  PHP Startup: Unable to load dynamic library 'modules/curl.so' - modules/curl.so: cannot open shared object file: No such file or directory in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/curl.so' - modules/curl.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'modules/dbase.so' - modules/dbase.so: cannot open shared object file: No such file or directory in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/dbase.so' - modules/dbase.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'modules/geoip.so' - modules/geoip.so: cannot open shared object file: No such file or directory in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/geoip.so' - modules/geoip.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'modules/json.so' - modules/json.so: cannot open shared object file: No such file or directory in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/json.so' - modules/json.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'modules/libpuzzle.so' - modules/libpuzzle.so: cannot open shared object file: No such file or directory in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/libpuzzle.so' - modules/libpuzzle.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'modules/zip.so' - modules/zip.so: cannot open shared object file: No such file or directory in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'modules/zip.so' - modules/zip.so: cannot open shared object file: No such file or directory in Unknown on line 0
BFRoaXMgIAIUdGVzdCBvZiBMWkYgZXh0ZW5zaW9u
---- FAILED


Please advise on the way forward.
Comment 4 Mamoru TASAKA 2009-06-22 14:09:39 EDT
About test suite warning:
- Sorry, actually I am not familiar with PHP and currently I don't know
  how to resolve this issue. If you think test suite is not needed,
  you can omit it.
Comment 5 Andrew Colin Kissa 2009-06-22 14:21:11 EDT
I think for now we can go with out the test suite, the other existing php pecl extensions do not implement it as well.

Please find the updated spec and srpms at the following urls

UPDATED SPEC FILE: http://www.topdog-software.com/oss/SRPMS/fedora/php-pecl-lzf/php-pecl-lzf.spec
UPDATED SRPM: http://www.topdog-software.com/oss/SRPMS/fedora/php-pecl-lzf/php-pecl-lzf-1.5.2-2.fc11.src.rpm
Comment 6 Mamoru TASAKA 2009-06-22 14:51:16 EDT
Well,
- For this package adding "INSTALL='install -p'" to 'make install' makes
  little sense, because "make install" just installs compiled binary
  file.
  What I said here is that for example at the line below:
---------------------------------------------------------------
%{__install} -m 644 %{pecl_name}.xml %{buildroot}%{pecl_xmldir}/%{name}.xml
---------------------------------------------------------------
  you should use "%{_install} -p -m 644".

- And forgot to mention but please use %{__make}, %{__mv},
  %{__rm} for consistency.
Comment 7 Andrew Colin Kissa 2009-06-22 15:06:57 EDT
Issues have been noted and fixed.

UPDATED:

SPEC: http://www.topdog-software.com/oss/SRPMS/fedora/php-pecl-lzf/php-pecl-lzf.spec
SRPM: http://www.topdog-software.com/oss/SRPMS/fedora/php-pecl-lzf/php-pecl-lzf-1.5.2-3.fc11.src.rpm

The other spec has been updated as well for macro consistency.
Comment 8 Mamoru TASAKA 2009-06-23 12:30:52 EDT
Okay.

-------------------------------------------------------------
   This package (php-pecl-lzf) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 9 Mamoru TASAKA 2009-06-23 13:09:19 EDT
(Please also write the actual CVS request as well as setting
 cvs flag)
Comment 10 Andrew Colin Kissa 2009-06-23 13:15:01 EDT
Sorry for my over site will add it now
Comment 11 Andrew Colin Kissa 2009-06-23 13:15:33 EDT
New Package CVS Request
=======================
Package Name: php-pecl-lzf
Short Description: Extension to handle LZF de/compression
Owners: topdog
Branches: F-10 F-11
InitialCC: mtasaka
Comment 12 Jason Tibbitts 2009-06-23 13:55:35 EDT
CVS done.
Comment 13 Fedora Update System 2009-06-23 15:49:32 EDT
php-pecl-lzf-1.5.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pecl-lzf-1.5.2-3.fc11
Comment 14 Fedora Update System 2009-06-23 15:49:37 EDT
php-pecl-lzf-1.5.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pecl-lzf-1.5.2-3.fc10
Comment 15 Mamoru TASAKA 2009-06-24 03:19:41 EDT
Now closing.
Comment 16 Andrew Colin Kissa 2009-07-15 07:34:08 EDT
Package Change Request
======================
Package Name: php-pecl-lzf
New Branches: EL-5
Owners: topdog
Comment 17 Kevin Fenzi 2009-07-16 01:56:52 EDT
cvs done.
Comment 18 Fedora Update System 2009-07-16 04:38:37 EDT
php-pecl-lzf-1.5.2-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-pecl-lzf-1.5.2-4.el5
Comment 19 Fedora Update System 2009-07-19 06:14:12 EDT
php-pecl-lzf-1.5.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-07-19 06:32:36 EDT
php-pecl-lzf-1.5.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-08-03 22:27:02 EDT
php-pecl-lzf-1.5.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.